Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface IURLEntry

All Superinterfaces:
  IAdaptable

All Known Implementing Classes:
  URLEntry

public interface IURLEntry
extends IAdaptable

URL entry is an annotated URL object. It allows descriptive text to be associated with a URL. When used as description object, the annotation typically corresponds to short descriptive text, with the URL reference pointing to full browsable description.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `URLEntry`

Field Summary
`static int` | `UPDATE_SITE`
`static int` | `WEB_SITE`

Method Summary
`String` | `getAnnotation()` Returns the URL annotation or `null` if none
`int` | `getType()` Returns the type of the URLEntry
`URL` | `getURL()` Returns the actual URL.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### UPDATE_SITE

    public static final int UPDATE_SITE

See Also:
  Constant Field Values

### WEB_SITE

    public static final int WEB_SITE

See Also:
  Constant Field Values

Method Detail

### getAnnotation

    public String getAnnotation()

  Returns the URL annotation or `null` if none

  Returns:
    url annotation or `null` if none
  Since:
    2.0

### getURL

    public URL getURL()

  Returns the actual URL.

  Returns:
    url.
  Since:
    2.0

### getType

    public int getType()

  Returns the type of the URLEntry

  Returns:
    type
  Since:
    2.0
  See Also:
    `UPDATE_SITE`, `WEB_SITE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.